﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundwaveScript : MonoBehaviour {

	public float soundwaveLifeTime;
	public float soundwaveSpeed;
	public Rigidbody2D soundwaveBody;

	// Use this for initialization
	void Start () {
		soundwaveBody = GetComponent<Rigidbody2D> ();
	}
	
	// Update is called once per frame
	void Update () {

		soundwaveBody.velocity = new Vector2 (soundwaveSpeed, soundwaveBody.velocity.y);
		soundwaveLifeTime -= Time.deltaTime;
		if (soundwaveLifeTime <= 0) {
			Destroy (soundwaveBody.gameObject);
		}
		
	}
}
