﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HitZoneCode : MonoBehaviour {
	public LayerMask sphereLayer;
	public bool canHit;
	public Collider2D myCol;
	public bool keyOne;
	public bool keyTwo;
	public float numberOne;
	public float numberTwo;
	public float numberThree;
	public bool combou;
	private bool combo1;
	private bool combo2;
	private bool combo3;
	private bool combo4;
	public bool erroCombo;
	public bool afkCheck;
	public float afkCounter;
	public float resetTimer;
	public AudioSource songSource;
	public AudioClip beepKey;
	public AudioClip songPart1;
	public AudioClip songPart2;
	public AudioClip songPart3;
	public AudioClip songPart4;
	public AudioClip erroSong;
	public Animator playerAnim;
	public GameManager gameManager;
	public Transform playerPos;

	public SoundwaveScript soundwaveSpawn1;
	public SoundwaveScript soundwaveSpawn2;
	public SoundwaveScript soundwaveSpawn3;
	public SoundwaveScript soundwaveSpawn4;

	public bool oneShot;

	void OnTriggerEnter2D (Collider2D other){
		Debug.Log ("ENTROU");
		oneShot = true;
	}

	void OnTriggerExit2D (Collider2D other){
		Debug.Log ("SAIU");
		oneShot = false;
	}



	// Use this for initialization
	void Start () {
		myCol = GetComponent<Collider2D>();
		songSource = GetComponent<AudioSource> ();
		keyOne = true;
		keyTwo = true;
		combou = false;
		combo1 = false;
		combo2 = false;
		combo3 = false;
		combo4 = false;
		erroCombo = false;
		resetTimer = 1.5f;
	}

	// Update is called once per frame
	void Update () {
		
		canHit = myCol.IsTouchingLayers(sphereLayer);

		if(oneShot){
			//Debug.Log ("Clack");
			//songSource.clip = songPart1;
			//songSource.Play ();
			if(Input.GetKeyDown(KeyCode.A)){
				oneShot = false;
				Debug.Log("Foi");
				songSource.clip = beepKey;
				songSource.Play ();
				if (keyOne && canHit){
					numberOne = 1f;
					keyOne = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (keyTwo && canHit){
					numberTwo = 1f;
					keyTwo = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (canHit){
					numberThree = 1f;
					keyTwo = true;
					keyOne = true;
					combou = true;
					afkCheck = false;
					//Debug.Log("COOOMBO");
				}
			}

			//Inserir tecla 2 aqui
			if(Input.GetKeyDown(KeyCode.W)){
				oneShot = false;
				Debug.Log("Foi");
				songSource.clip = beepKey;
				songSource.Play ();
				if (keyOne && canHit){
					numberOne = 2f;
					keyOne = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (keyTwo && canHit){
					numberTwo = 2f;
					keyTwo = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (canHit){
					numberThree = 2f;
					keyTwo = true;
					keyOne = true;
					combou = true;
					afkCheck = false;
					//Debug.Log("COOOMBO");
				}
			}
			if(Input.GetKeyDown(KeyCode.S)){
				oneShot = false;
				Debug.Log("Foi");
				songSource.clip = beepKey;
				songSource.Play ();
				if (keyOne && canHit){
					numberOne = 3f;
					keyOne = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (keyTwo && canHit){
					numberTwo = 3f;
					keyTwo = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (canHit){
					numberThree = 3f;
					keyTwo = true;
					keyOne = true;
					combou = true;
					afkCheck = false;
					//Debug.Log("COOOMBO");
				}
			}
			if(Input.GetKeyDown(KeyCode.D)){
				oneShot = false;
				Debug.Log("Foi");
				songSource.clip = beepKey;
				songSource.Play ();
				if (keyOne && canHit){
					numberOne = 4f;
					keyOne = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (keyTwo && canHit){
					numberTwo = 4f;
					keyTwo = false;
					afkCounter = resetTimer;
					afkCheck = true;
				}else if (canHit){
					numberThree = 4f;
					keyTwo = true;
					keyOne = true;
					combou = true;
					afkCheck = false;
					//Debug.Log("COOOMBO");
				}
			}
		}
		/*
		else{
			if (Input.GetKeyDown(KeyCode.A)){
				keyOne = true;
				keyTwo = true;
				Debug.Log("ERRRRRRRROU");
			}else if (Input.GetKeyDown(KeyCode.W)){
				keyOne = true;
				keyTwo = true;
				Debug.Log("ERRRRRRRROU");
			}else if (Input.GetKeyDown(KeyCode.S)){
				keyOne = true;
				keyTwo = true;
				Debug.Log("ERRRRRRRROU");
			}else if (Input.GetKeyDown(KeyCode.D)){
				keyOne = true;
				keyTwo = true;
				Debug.Log("ERRRRRRRROU");
			}
		} */

		else if (Input.GetKeyDown(KeyCode.A) || Input.GetKeyDown(KeyCode.W) || Input.GetKeyDown(KeyCode.S) || Input.GetKeyDown(KeyCode.D)) {
			songSource.clip = erroSong;
			songSource.Play ();
			erroCombo = true;
			keyOne = true;
			keyTwo = true;
			afkCheck = false;
			Debug.Log("ERROUUUU");
		}

		if (afkCounter > 0){
			afkCounter -= Time.deltaTime;
		}else if (afkCheck){
			Debug.Log("RESET");
			erroCombo = true;
			keyOne = true;
			keyTwo = true;
			afkCheck = false;
		}

		//A=1
		//W=2
		//S=3
		//D=4
		if (combou){
			if (numberOne == 2f){
				if (numberTwo == 4f){
					if (numberThree == 1f){
						//spell 1
						combo1 = true;
						combou = false;
						Destroy (GameObject.FindGameObjectWithTag("enemy1"));
						if (GameObject.FindGameObjectWithTag ("enemy1")) {
							gameManager.playerScore += 10;
						}
						songSource.clip = songPart1;
						songSource.Play ();
						playerAnim.SetTrigger ("PerformAttack");
						SoundwaveScript clone = (SoundwaveScript)Instantiate (soundwaveSpawn1, playerPos);
						Debug.Log("COMBOU 1");
					}
				}

			}else if (numberOne == 3f){
				if (numberTwo == 4f){
					if (numberThree == 2f){
						//spell 2
						combo2 = true;
						combou = false;
						Destroy (GameObject.FindGameObjectWithTag("enemy2"));
						if (GameObject.FindGameObjectWithTag ("enemy2")) {
							gameManager.playerScore += 10;
						}
						songSource.clip = songPart2;
						songSource.Play ();
						playerAnim.SetTrigger ("PerformAttack");
						SoundwaveScript clone = (SoundwaveScript)Instantiate (soundwaveSpawn2, playerPos);
						Debug.Log("COMBOU 2");
					}
				}
			}else if (numberOne == 1f){
				if (numberTwo == 4f){
					if (numberThree == 3f){
						//spell 3
						combo3 = true;
						combou = false;
						Destroy (GameObject.FindGameObjectWithTag("enemy3"));
						if (GameObject.FindGameObjectWithTag ("enemy3")) {
							gameManager.playerScore += 10;
						}
						songSource.clip = songPart3;
						songSource.Play ();
						playerAnim.SetTrigger ("PerformAttack");
						SoundwaveScript clone = (SoundwaveScript)Instantiate (soundwaveSpawn3, playerPos);
						Debug.Log("COMBOU 3");
					}
				}

		        else if (numberTwo == 3f){
		            if (numberThree == 2f){
		                //spell 4
						combo4 = true;
		                combou = false;
						Destroy (GameObject.FindGameObjectWithTag("enemy4"));
						if (GameObject.FindGameObjectWithTag ("enemy4")) {
							gameManager.playerScore += 10;
						}
						songSource.clip = songPart4;
						songSource.Play ();
						playerAnim.SetTrigger ("PerformAttack");
						SoundwaveScript clone = (SoundwaveScript)Instantiate (soundwaveSpawn4, playerPos);
						Debug.Log("COMBOU 4");
		            }
		        }
		        
			}
		}
		if(combo1 == true) {
			Destroy(GameObject.FindGameObjectWithTag("enemy1"));
			combo1 = false;
		}
		else if(combo2 == true) {
			Destroy(GameObject.FindGameObjectWithTag("enemy2"));
			combo2 = false;
		}
		else if(combo3 == true) {
			Destroy(GameObject.FindGameObjectWithTag("enemy3"));
			combo3 = false;
		}
		else if(combo3 == true) {
			Destroy(GameObject.FindGameObjectWithTag("enemy4"));
			combo4 = false;
		}
	}

}









